Retrieve a reconciliation
curl --request GET \
--url https://api.endclose.com/v1/reconciliations/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.endclose.com/v1/reconciliations/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.endclose.com/v1/reconciliations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": 123,
"run_type": "continuous",
"side_a_streams": [
{
"key": "<string>",
"name": "<string>",
"id": 123,
"description": "<string>",
"type": "<string>"
}
],
"side_b_streams": [
{
"key": "<string>",
"name": "<string>",
"id": 123,
"description": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"current_run": {
"id": 123,
"total_records": 123,
"processed_records": 123,
"matched_records": 123,
"rule_summary": {},
"progress": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"last_run": {
"id": 123,
"total_records": 123,
"processed_records": 123,
"matched_records": 123,
"rule_summary": {},
"progress": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}Reconciliations
Retrieve a reconciliation
GET
/
reconciliations
/
{id}
Retrieve a reconciliation
Authorizations
Path Parameters
Response
Reconciliation retrieved
Human readable name for the reconciliation
Available options:
continuous, batch Data streams on side A of the reconciliation
Show child attributes
Show child attributes
Data streams on side B of the reconciliation
Show child attributes
Show child attributes
The currently pending or running batch run, if any
Show child attributes
Show child attributes
The most recent completed or failed batch run, if any
Show child attributes
Show child attributes
⌘I